#
# spec file for package lmdbxx
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lmdbxx
Version:        1.0.0
Release:        1.1
Summary:        C++ wrapper for the LMDB embedded B+ tree database library
License:        PDDL-1.0
Group:          Development/Libraries/C and C++
URL:            https://github.com/hoytech/lmdbxx
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Header-only %{summary}.

%package devel
Summary:        Development files for %{name}
Requires:       lmdb-devel
Provides:       %{name}-static = %{version}

%description devel
Header-only %{summary}.

%prep
%autosetup -n %{name}-%{version}

%build
# Nothing to build. Header-only library.

%install
mkdir -p %{buildroot}%{_includedir}
install -m 0644 -p lmdb++.h %{buildroot}%{_includedir}

%files devel
%doc README.md TODO FUNCTIONS.rst AUTHORS
%license UNLICENSE
%{_includedir}/lmdb++.h

%changelog
* Fri Apr 23 2021 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 1.0.0:
  * No changelog.
* Fri Jan 22 2021 Dead Mozay <dead_mozay@opensuse.org>
- Formatting the spec file
* Tue Jul 17 2018 windowskaput@gmail.com
- Update to version 0.9.14.0:
  * fixing poorly defined conditional
  * skip sanities when using msvc
  * better check for msvc
  * Improved lmdb::dbi_put() const-correctness.
  * Improved lmdb::dbi_del() const-correctness.
  * Added a missing lmdb::dbi#del() overload.
  * Improved lmdb::dbi_get() const-correctness.
  * Implemented lmdb::val#empty().
  * Implemented lmdb::txn_id().
* Sun Jul  8 2018 windowskaput@gmail.com
- New package
